Package com.independentsoft.office.diagrams

# Class DataModel

java.lang.Object
com.independentsoft.office.diagrams.DataModel

public class DataModel extends Object
The Class DataModel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataModel()`
  Instantiates a new data model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataModel`
  `clone()`
  `DataModelExtension`
  `findDataModelExtension()`
  Gets the `dsp:dataModelExt` extension referencing the pre-rendered diagram drawing part (resolved against the HOST part's relationships), if present.
  `BackgroundFormatting`
  `getBackgroundFormatting()`
  Gets the background formatting.
  `List<Connection>`
  `getConnections()`
  Gets the connections.
  `String`
  `getDrawingRelationshipId()`
  Gets the relationship id the `dsp:dataModelExt relId=...` extension points at.
  `ExtensionList`
  `getExtensionList()`
  Gets the data-model extension list (`dgm:extLst`).
  `List<Point>`
  `getPoints()`
  Gets the points.
  `Whole`
  `getWhole()`
  Gets the whole.
  `void`
  `setBackgroundFormatting​(BackgroundFormatting backgroundFormatting)`
  Sets the background formatting.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the data-model extension list (`dgm:extLst`).
  `void`
  `setWhole​(Whole whole)`
  Sets the whole.
  `String`
  `toString()`
  `String`
  `toXml()`
  To xml.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataModel

    public DataModel()
    Instantiates a new data model.

- ## Method Details

  - ### clone

    public DataModel clone()
    Overrides:
      `clone` in class `Object`

  - ### toXml

    public String toXml()
    To xml.
    Returns:
      the string

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBackgroundFormatting

    public BackgroundFormatting getBackgroundFormatting()
    Gets the background formatting.
    Returns:
      the background formatting

  - ### setBackgroundFormatting

    public void setBackgroundFormatting​(BackgroundFormatting backgroundFormatting)
    Sets the background formatting.
    Parameters:
      `backgroundFormatting` - the new background formatting

  - ### getConnections

    public List<Connection> getConnections()
    Gets the connections.
    Returns:
      the connections

  - ### getPoints

    public List<Point> getPoints()
    Gets the points.
    Returns:
      the points

  - ### getWhole

    public Whole getWhole()
    Gets the whole.
    Returns:
      the whole

  - ### setWhole

    public void setWhole​(Whole whole)
    Sets the whole.
    Parameters:
      `whole` - the new whole

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the data-model extension list (`dgm:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the data-model extension list (`dgm:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### findDataModelExtension

    public DataModelExtension findDataModelExtension()
    Gets the `dsp:dataModelExt` extension referencing the pre-rendered diagram drawing part (resolved against the HOST part's relationships), if present.
    Returns:
      the data model extension

  - ### getDrawingRelationshipId

    public String getDrawingRelationshipId()
    Gets the relationship id the `dsp:dataModelExt relId=...` extension points at.
    Returns:
      the drawing relationship id